CVE-2021-27351

NameCVE-2021-27351
DescriptionThe Terminate Session feature in the Telegram application through 7.2.1 for Android, and through 2.4.7 for Windows and UNIX, fails to invalidate a recently active session.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
telegram-desktop (PTS)buster1.5.11-1fixed
bullseye, sid2.6.1+ds-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
telegram-desktopsourcebuster(not affected)
telegram-desktopsource(unstable)2.6.1-1

Notes

[buster] - telegram-desktop <not-affected> (Vulnerable code not present)
https://0ffsecninja.github.io/Telegram:CVE-2021-2735.html
Probably fixed earlier than 2.6.1, but marking that fixed in absence of further details
(maintainer reached out to upstream for confirmation that 2.6.1 is fixed and buster
not affected)

Search for package or bug name: Reporting problems